Compare commits

...

No commits in common. 'c9' and 'i10cs' have entirely different histories.
c9 ... i10cs

@ -22,6 +22,7 @@ pushd $DIRECTORY > /dev/null || error "Cannot open directory \"$DIRECTORY\""
echo "Remove proprietary source files" echo "Remove proprietary source files"
find include/osx -type f -delete find include/osx -type f -delete
find debian -type f -delete
echo echo

@ -1,104 +0,0 @@
#!/bin/bash
# lldpd init file
#
# chkconfig: - 60 20
# description: 802.1ab (LLDP) daemon
#
# processname: lldpd
# pidfile: /var/run/lldpd.pid
### BEGIN INIT INFO
# Provides: lldpd
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $syslog $network $net-snmp
# Should-Stop: $syslog $network $net-snmp
# Default-Stop: 0 1 6
# Short-Description: LLDP daemon
# Description: 802.1ab (LLDP) daemon
### END INIT INFO
# source function library
. /etc/rc.d/init.d/functions
exec="/usr/sbin/lldpd"
prog="lldpd"
config="/etc/lldpd.d"
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 4
[ -d $config ] || exit 6
echo -n $"Starting $prog: "
daemon $exec $LLDPD_OPTIONS
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $exec
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $RETVAL
}
restart() {
stop
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

@ -1,20 +0,0 @@
[Unit]
Description=LLDP daemon
Documentation=man:lldpd(8)
After=network.target
[Service]
Type=notify
NotifyAccess=main
EnvironmentFile=-/etc/sysconfig/lldpd
ExecStart=/usr/sbin/lldpd $DAEMON_ARGS $LLDPD_OPTIONS
Restart=on-failure
PrivateTmp=yes
RestrictAddressFamilies=AF_INET AF_INET6 AF_PACKET AF_NETLINK AF_UNIX
ProtectHome=yes
ReadWriteDirectories=/var/run/lldpd
ProtectSystem=full
[Install]
WantedBy=multi-user.target

@ -12,7 +12,7 @@ Restart=on-failure
PrivateTmp=yes PrivateTmp=yes
RestrictAddressFamilies=AF_INET AF_INET6 AF_PACKET AF_NETLINK AF_UNIX RestrictAddressFamilies=AF_INET AF_INET6 AF_PACKET AF_NETLINK AF_UNIX
ProtectHome=yes ProtectHome=yes
ReadWritePaths=/var/run/lldpd ReadWritePaths=/run/lldpd
ProtectSystem=strict ProtectSystem=strict
ProtectKernelTunables=yes ProtectKernelTunables=yes
ProtectControlGroups=yes ProtectControlGroups=yes

@ -0,0 +1,2 @@
#Type Name ID GECOS Home directory Shell
u lldpd - "Used by the lldpd daemon" /var/lib/lldpd /sbin/nologin

@ -1,53 +1,27 @@
%if 0%{?el6}
%bcond_with systemd
%global rundir /var/run/
%else
%bcond_without systemd
%global rundir /run/
%endif
%global gh_owner vincentbernat
Name: lldpd Name: lldpd
Version: 1.0.18 Version: 1.0.18
Release: 1%{?dist} Release: 2%{?dist}
Summary: ISC-licensed implementation of LLDP Summary: ISC-licensed implementation of LLDP
License: ISC License: ISC
URL: https://%{gh_owner}.github.io/%{name}/ URL: https://%{name}.github.io/
# Upstream https://media.luffy.cx/files/lldpd/lldpd-%{version}.tar.gz Source0: %{name}-%{version}-free.tar.gz
Source0: lldpd-%{version}-free.tar.gz
Source1: %{name}-fedora.service Source1: %{name}-fedora.service
Source2: %{name}-tmpfiles Source2: %{name}-tmpfiles
Source3: %{name}-fedora.sysconfig Source3: %{name}-fedora.sysconfig
Source4: %{name}-el6.init Source4: %{name}-systemd-sysusers.conf
Source5: %{name}-el7.service
Source100: lldpd-cleanup.sh Source100: %{name}-cleanup.sh
BuildRequires: gcc
BuildRequires: readline-devel
BuildRequires: check-devel BuildRequires: check-devel
BuildRequires: net-snmp-devel BuildRequires: gcc
BuildRequires: libxml2-devel BuildRequires: libxml2-devel
# EL6 needs libevent2 as the package
%if 0%{?el6}
BuildRequires: libevent2-devel
%else
BuildRequires: libevent-devel BuildRequires: libevent-devel
%endif
%if 0%{?with_systemd}
# For systemd stuff
BuildRequires: systemd
BuildRequires: make BuildRequires: make
BuildRequires: net-snmp-devel
BuildRequires: readline-devel
BuildRequires: systemd-devel
%{?systemd_requires} %{?systemd_requires}
%else
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
%endif
Requires(pre): shadow-utils Requires(pre): shadow-utils
@ -65,106 +39,71 @@ Summary: %{summary}
%{name} development libraries and headers %{name} development libraries and headers
%prep %prep
%autosetup %autosetup -p1
%build %build
%configure --disable-static --with-snmp --disable-silent-rules \ %configure --disable-static --with-snmp --disable-silent-rules \
--with-privsep-user=%{name} --with-privsep-group=%{name} \ --with-privsep-user=%{name} --with-privsep-group=%{name} \
--with-privsep-chroot=%{rundir}%{name}/chroot \ --with-privsep-chroot=%{_rundir}/%{name}/chroot \
--with-lldpd-ctl-socket=%{rundir}%{name}/%{name}.socket \ --with-lldpd-ctl-socket=%{_rundir}/%{name}/%{name}.socket \
%if 0%{?with_systemd}
--with-systemdsystemunitdir=%{_unitdir} --with-sysusersdir=no --with-systemdsystemunitdir=%{_unitdir} --with-sysusersdir=no
%endif
make %{?_smp_mflags} %make_build
%install %install
%make_install %make_install
%if 0%{?with_systemd}
%if 0%{?fedora} >= 26
install -p -D -m644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service install -p -D -m644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%else
install -p -D -m644 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}.service
%endif
install -p -D -m644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf install -p -D -m644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
%else
install -p -D -m755 %{SOURCE4} %{buildroot}%{_initddir}/%{name}
%endif
install -p -D -m644 %{SOURCE3} %{buildroot}/etc/sysconfig/%{name} install -p -D -m644 %{SOURCE3} %{buildroot}/etc/sysconfig/%{name}
install -p -D -m644 %{SOURCE4} %{buildroot}%{_sysusersdir}/%{name}.conf
install -d -D -m 0755 %{buildroot}%{rundir}%{name}/chroot install -d -D -m 0755 %{buildroot}%{_rundir}/%{name}/chroot
install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{name} install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{name}
# remove the docs from buildroot # remove the docs from buildroot
rm -rf %{buildroot}/usr/share/doc/%{name} rm -rf %{buildroot}/usr/share/doc/%{name}
# don't include completion conf yet # don't include completion conf yet
rm -f %{buildroot}/usr/share/bash-completion/completions/lldpcli rm -f %{buildroot}/usr/share/bash-completion/completions/lldpcli
rm -f %{buildroot}/usr/share/zsh/vendor-completions/_lldpcli rm -f %{buildroot}/usr/share/zsh/vendor-completions/_lldpcli
rm -f %{buildroot}/usr/share/zsh/site-functions/_lldpcli rm -f %{buildroot}/usr/share/zsh/site-functions/_lldpcli
# remove static libtool archive # remove static libtool archive
rm -f %{buildroot}%{_libdir}/liblldpctl.la find %{buildroot} -type f -name "*.la" -delete
%ldconfig_scriptlets
%pre %pre
getent group %{name} >/dev/null || groupadd -r %{name} %sysusers_create_compat %{SOURCE4}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{_sharedstatedir}/%{name} -s /sbin/nologin \
-c "Used by the %{name} daemon" %{name}
exit 0 exit 0
%post %post
/sbin/ldconfig %systemd_post lldpd.service
%if 0%{?with_systemd}
%systemd_post %{name}.service
%else
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add %{name}
%endif
%preun %preun
%if 0%{?with_systemd} %systemd_preun lldpd.service
%systemd_preun %{name}.service
%else
if [ $1 -eq 0 ] ; then
/sbin/service %{name} stop >/dev/null 2>&1
/sbin/chkconfig --del %{name}
fi
%endif
%postun %postun
/sbin/ldconfig %systemd_postun_with_restart lldpd.service
%if 0%{?with_systemd}
%systemd_postun_with_restart %{name}.service
%else
if [ "$1" -ge "1" ] ; then
/sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi
%endif
%files %files
%doc NEWS README.md
%license LICENSE %license LICENSE
%doc NEWS README.md
%config %{_sysconfdir}/%{name}.d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/lldpcli %{_sbindir}/lldpcli
%{_sbindir}/lldpctl %{_sbindir}/lldpctl
%{_sbindir}/%{name} %{_sbindir}/%{name}
%config %{_sysconfdir}/%{name}.d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man8/lldpcli.8* %{_mandir}/man8/lldpcli.8*
%{_mandir}/man8/lldpctl.8* %{_mandir}/man8/lldpctl.8*
%{_mandir}/man8/%{name}.8* %{_mandir}/man8/%{name}.8*
%{_libdir}/liblldpctl.so.4* %{_libdir}/liblldpctl.so.4*
%dir %{rundir}%{name} %dir %{_rundir}/%{name}
%dir %{rundir}%{name}/chroot %dir %{_rundir}/%{name}/chroot
%if 0%{?with_systemd}
%{_unitdir}/%{name}.service %{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf %{_tmpfilesdir}/%{name}.conf
%else %{_sysusersdir}/%{name}.conf
%{_initddir}/%{name}
%endif
%dir %attr(-,lldpd,lldpd) %{_sharedstatedir}/%{name} %dir %attr(-,lldpd,lldpd) %{_sharedstatedir}/%{name}
%files devel %files devel
@ -175,25 +114,54 @@ fi
%changelog %changelog
* Wed Jan 31 2024 Hangbin Liu <haliu@redhat.com> - 1.0.18-1 * Fri Oct 25 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 1.0.18-2
- Rebased to 1.0.18 [RHEL-2211] - Rebuilt for MSVSphere 10
* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 1.0.18-2
- Bump release for June 2024 mass rebuild
* Wed Arp 24 2024 Hangbin Liu <haliu@redhat.com> - 1.0.18-1
- Strip ASL/APSL components (RHELMISC-4345)
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Tue Nov 28 2023 Florian Weimer <fweimer@redhat.com> - 1.0.16-4
- Reapply C99 compatibility fix
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
* Tue May 2 2023 Peter Hjalmarsson <kanelxake@gmail.com> - 1.0.16-2
- Correcting usage of rundir macro
- Fix creation of sysuser
* Tue Apr 11 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 1.0.16-1
- Update to 1.0.16
- Modernise spec file
- CVEs: CVE-2020-27827, CVE-2020-27827, CVE-2021-43612
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
* Mon Nov 06 2023 Hangbin Liu <haliu@redhat.com> - 1.0.17-1 * Thu Dec 8 2022 Florian Weimer <fweimer@redhat.com> - 1.0.4-11
- Rebased to 1.0.17 [RHEL-2211, RHEL-5791, RHEL-5796] - Port configure script to C99
* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 1.0.4-10 * Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-10
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags - Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Related: rhbz#1991688
* Mon Jul 12 2021 Aaron Conole <aconole@redhat.com> - 1.0.4-9 * Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-9
- Strip ASL components (#1982259) - Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
* Tue Jun 22 2021 Mohan Boddu <mboddu@redhat.com> - 1.0.4-8 * Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-8
- Rebuilt for RHEL 9 BETA for openssl 3.0 - Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Related: rhbz#1971065
* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - 1.0.4-7 * Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.4-7
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937 - Rebuilt for updated systemd-rpm-macros
See https://pagure.io/fesco/issue/2583.
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6 * Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild - Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

Loading…
Cancel
Save